<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>ini_set</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="&Auml;ndert Konfigurations-Optionen in der php.ini">
<meta name="keywords"       content="SELFPHP, PHP, Sonstige-Funktionen, ini_set">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-22T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/sonstige_funktionen/ini_set.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-22T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Sonstige-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Sonstige-Funktionen</b></a></td>
</tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
<td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>ini_set</h2>
<tr>
<td bgcolor="#EEEEEE" class="doc" valign="top" align="center">
<img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite">
</td>
<td bgcolor="#FFFFFF" valign="top" nowrap>
<p>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
</p>
</td>
</tr><tr><td colspan=2 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td></tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">string <b>ini_set</b>(string varname, 
      string newvalue)</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 4 &gt;= 4.0RC1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="158">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit ini_set() kann man f&uuml;r eine Konfigurationsoption (varname) einen 
        neuen<br>
        Wert (newvalue) setzen. Im Erfolgsfall gibt diese Funktion den alten Wert 
        zur&uuml;ck,<br>
        sonst false.</p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="ini_alter.html">ini_alter()</a></li>
        <li><a href="ini_get.html">ini_get()</a></li>
        <li><a href="ini_restore.html">ini_restore()</a></li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>echo ini_get(&quot;highlight.bg&quot;);<br>echo &quot;&lt;br&gt;&quot;;<br>echo ini_set(&quot;highlight.bg&quot;,&quot;#DD00FF&quot;);<br>echo &quot;&lt;br&gt;&quot;;<br>echo ini_get(&quot;highlight.bg&quot;);<br>echo &quot;&lt;br&gt;&quot;;<br>echo ini_get(&quot;highlight.php&quot;);<br>echo &quot;&lt;br&gt;&quot;;<br>echo ini_set(&quot;highlight.php&quot;,&quot;#FF80DD&quot;);<br>echo &quot;&lt;br&gt;&quot;;<br>echo ini_get(&quot;highlight.php&quot;);<br>?&gt;</pre>
      <p></p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p><font color="#000000"> <font color="#000000"> #FFFFFF<br>
        #FFFFFF<br>
        #DD00FF<br>
        #000000<br>
        #000000<br>
        #FF80DD</font></font></p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="leak.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="leak.html"><b>leak</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="ini_restore.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="ini_restore.html"><b>ini_restore</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Sonstige-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>